// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MutMix {
    
    
    public partial class ErrorWindow {
        
        private Gtk.VBox vbox3;
        
        private Gtk.Label label1;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Image image1;
        
        private Gtk.Label label2;
        
        private Gtk.HBox hbox3;
        
        private Gtk.Button BtnOkError;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MutMix.ErrorWindow
            this.Name = "MutMix.ErrorWindow";
            this.Title = Mono.Unix.Catalog.GetString("ErrorWindow");
            this.Icon = Stetic.IconLoader.LoadIcon(this, "gtk-dialog-warning", Gtk.IconSize.Menu, 16);
            this.WindowPosition = ((Gtk.WindowPosition)(1));
            this.Modal = true;
            // Container child MutMix.ErrorWindow.Gtk.Container+ContainerChild
            this.vbox3 = new Gtk.VBox();
            this.vbox3.Name = "vbox3";
            this.vbox3.Spacing = 6;
            // Container child vbox3.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("<b>WARNING!</b>");
            this.label1.UseMarkup = true;
            this.vbox3.Add(this.label1);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox3[this.label1]));
            w1.Position = 0;
            w1.Padding = ((uint)(5));
            // Container child vbox3.Gtk.Box+BoxChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.image1 = new Gtk.Image();
            this.image1.Name = "image1";
            this.image1.Pixbuf = Stetic.IconLoader.LoadIcon(this, "gtk-dialog-warning", Gtk.IconSize.Dialog, 48);
            this.hbox2.Add(this.image1);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox2[this.image1]));
            w2.Position = 0;
            // Container child hbox2.Gtk.Box+BoxChild
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.Xalign = 0F;
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("Review data, something\nis wrong. Try again!");
            this.hbox2.Add(this.label2);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox2[this.label2]));
            w3.Position = 1;
            this.vbox3.Add(this.hbox2);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox3[this.hbox2]));
            w4.Position = 1;
            // Container child vbox3.Gtk.Box+BoxChild
            this.hbox3 = new Gtk.HBox();
            this.hbox3.Name = "hbox3";
            this.hbox3.Spacing = 6;
            // Container child hbox3.Gtk.Box+BoxChild
            this.BtnOkError = new Gtk.Button();
            this.BtnOkError.WidthRequest = 125;
            this.BtnOkError.CanFocus = true;
            this.BtnOkError.Name = "BtnOkError";
            this.BtnOkError.UseUnderline = true;
            this.BtnOkError.BorderWidth = ((uint)(18));
            this.BtnOkError.Label = Mono.Unix.Catalog.GetString("Ok");
            this.hbox3.Add(this.BtnOkError);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.hbox3[this.BtnOkError]));
            w5.Position = 0;
            this.vbox3.Add(this.hbox3);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.vbox3[this.hbox3]));
            w6.Position = 2;
            w6.Expand = false;
            w6.Fill = false;
            this.Add(this.vbox3);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 260;
            this.DefaultHeight = 180;
            this.Show();
            this.BtnOkError.Clicked += new System.EventHandler(this.OnBtnOkErrorClicked);
        }
    }
}
